Bug 1198643

Summary: Append parameters to grub.cfg
Product: [Fedora] Fedora Documentation Reporter: Gean Michel Ceretta <geanceretta>
Component: virtualization-guideAssignee: Fedora Documentation Project <docs>
Status: CLOSED EOL QA Contact: Fedora Docs QA <docs-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: develCC: docs, jhradile, lsatenstein, swadeley, zach
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-11-07 15:30:23 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Gean Michel Ceretta 2015-03-04 15:05:58 UTC
Description of problem: The instructions[1] of how to append parameters to Grub's grub.config file is obsolete on recent releases of Fedora. The file /boot/grub/grub.conf doesn't exist anymore.

The way to do it now is (tested on Fedora 20):
1 - Edit /etc/default/grub
2 - Append information at the line GRUBCMDLINELINUX=" ... console=tty0 console=ttyS0,115200 ... ")
3 - Regenerate the /boot/grub2/grub.cfg file with the command "grub2-mkconfig -o /boot/grub2/grub.cfg"

Link:
[1] http://docs.fedoraproject.org/en-US/Fedora/18/html/Virtualization_Administration_Guide/sect-Virtualization-Troubleshooting_-Troubleshooting_with_serial_consoles.html

Additional info: The documentation is refered to version 18 where it should work, but as we don't have a documentation in a most atual release of Fedora for that subject, you can write a note for the users of most recent releases of Fedora that came with Grub2, where the procedure is according with that listed above.

Comment 1 Leslie Satenstein 2015-03-04 18:42:25 UTC
Yes, the file /boot/grub/grub.conf is gone and we need to indicate that
for non uefi boards, it is /boot/grub2/grub.cfg 

While fixing up grub for some troubleshooting, perhaps the submenu option can be implemented, taking the linux releases following the first to the recovery / rescue version


Current Linux
submenu  'Additional Fedora entries' { 
Previous Linux
Previous Linux
Recovery Linux
}  # end submenu

I should not have to do this manually, though the change is trivial.

Comment 3 Leslie Satenstein 2015-03-06 17:34:20 UTC
Hi Steven, In response to your question, it is not. Please look at the following example


There are several menuentry items.

I want to be able to automatically isolate the first "menuentry without modification but to encapsulate the remaining menu entries ending with the rescue entry. Encapsulate with a submenu, as grub2 does it for other os's later on in the list.

Example

menuentry   for current Fedora kernel 

submenu 'encapsulate the following' {

menuentry  prevous Fedora kernel
menuentry  previous to previous Fedora kernel
menuentry Rescue entry
}      #end submenu entry


With two lines of text, I clean up a lot of useless screen clutter.
The submenu entries are available by clicking on the displayed submenu title.

Why do I want to do that? I multiboot, Fedora (up to 3 different versions), Centos, Windows, a total of up to 5 distributions. 

Grub2 does create a submenu for all the Guest OS's but not the current version. Why not for the first current version? 

It may have to be a include a new menu entry somewhere after 30 and before 40.


00_header
10_linux
20_linux_xen
20_ppc_terminfo
30_os-prober  
35 " New facility to signal that a submenu entry is desired".
40_custom
41_custom

I hope this clarifies comment 1.

Comment 4 Leslie Satenstein 2017-05-08 14:22:10 UTC
5 disks, each with a full grub2.cfg  

My menu is almost 25 lines deep.

I manually isolate the current kernel and rework the grub.cfg as I described above

Result
main Fedora xx  #1
Submenu "Advanced Features"
Guest Fedora xx #2
Submenu "Advanced Features"
Guest Fedora xx #3
Submenu "Advanced Features"
Guest Fedora xx #4
Submenu "Advanced Features"
Guest Fedora xx #5
Submenu "Advanced Features"

Otherwise
main Fedora xx #1
previous kernel #1
previous kernel #2
previous kernel #3
rescue   kernel #4
Guest Fedora xx #2
Submenu "Advanced Features"
Guest Fedora xx #3
Submenu "Advanced Features"
Guest Fedora xx #4
Submenu "Advanced Features"
Guest Fedora xx #5
Submenu "Advanced Features"

Comment 5 Petr Bokoc 2019-11-07 15:30:23 UTC
I'm closing this bug as part of a Bugzilla cleanup effort. The most likely reason is that the bug has been opened either against a component we no longer publish, or against Release Notes for an EOL release.